%global momorel 2
%global gid 334
%global groupname jackuser
%global srcname %{name}-audio-connection-kit
%global md5sum_src0 03a0f63b997ce7b83a1eeaa6b80f4388

Summary: The Jack Audio Connection Kit
Name: jack
Version: 0.103.0
Release: %{momorel}m%{?dist}
License: GPL
URL: http://jackit.sourceforge.net/
Group: System Environment/Daemons
%NoSource 0 http://dl.sourceforge.net/sourceforge/%{name}it/%{srcname}-%{version}.tar.gz %{md5sum_src0}
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Prereq: pam
Prereq: shadow-utils
BuildRequires: alsa-lib-devel >= 1.0.13-2m
BuildRequires: doxygen
BuildRequires: fltk-devel
BuildRequires: glib2-devel
BuildRequires: libcap-devel
BuildRequires: libsndfile-devel >= 1.0.15-2m
BuildRequires: libtermcap-devel >= 2.0.8-38m
BuildRequires: ncurses-devel
BuildRequires: portaudio
BuildRequires: readline-devel >= 5.0

%description
JACK is a low-latency audio server, written primarily for the Linux
operating system. It can connect a number of different applications to
an audio device, as well as allowing them to share audio between
themselves. Its clients can run in their own processes (ie. as a
normal application), or can they can run within a JACK server (ie. a
"plugin").

%package devel
Summary: Development package for jack
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
This package contains the files needed to compile programs that
communicates jack clients/servers.

%prep
%setup -q -n %{srcname}-%{version}

%build
CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
	--enable-stripped-jackd \
%ifarch %ix86 ppc
	--enable-optimize \
%else
	--disable-optimize \
%endif
	--with-html-dir=%{_docdir}/%{name}

make %{?_smp_mflags} || make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# remove html files
rm -rf %{buildroot}%{_docdir}/%{name}

find %{buildroot} -name "*.la" -delete

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%pre
/usr/sbin/groupadd -g %{gid} -r %{groupname} &>/dev/null || :

%post
/sbin/ldconfig

# Add default limits for jackuser group
grep -q jackuser /etc/security/limits.conf || cat >> /etc/security/limits.conf << EOF

## Automatically appended by jack
@jackuser - rtprio 20
@jackuser - memlock 4194304
EOF

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING* README TODO doc/reference/html
%dir %{_libdir}/jack
%{_bindir}/jack*
%{_libdir}/jack/*.so
%{_libdir}/*.so.*
%{_mandir}/man1/jackd.1*
%{_mandir}/man1/jackstart.1*

%files devel
%defattr(-,root,root)
%{_includedir}/jack
%{_libdir}/pkgconfig/jack.pc
%{_libdir}/*.so

%changelog
* Sun Jun 24 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.103.0-2m)
- groupadd jackuser

* Tue Mar 20 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.103.0-1m)
- version 0.103.0

* Tue Feb 13 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.102.20-2m)
- delete libtool library

* Fri Oct  6 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.102.20-1m)
- version 0.102.20

* Thu Jul  6 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (0.101.1-2m)
- rebuild against readline-5.0

* Wed Mar 29 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.101.1-1m)
- version 0.101.1

* Sun Jan  1 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.100.7-1m)
- version 0.100.7

* Thu Aug 18 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.100.0-1m)
- version 0.100.0
- BuildRequires: fltk-devel, glib-devel, ncurses-devel

* Tue Apr 12 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.99.0-3m)
- modify %%files section

* Wed Mar  9 2005 Toru Hoshina <t@momonga-linux.org>
- (0.99.0-2m)
- rebuild against libtermcap-2.0.8-38m.

* Mon Feb 21 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.99.0-1m)
- initial package
